CVE-2017-15874

NameCVE-2017-15874
Descriptionarchival/libarchive/decompress_unlzma.c in BusyBox 1.27.2 has an Integer Underflow that leads to a read access violation.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs879732

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
busybox (PTS)stretch1:1.22.0-19fixed
stretch (security)1:1.22.0-19+deb9u2fixed
buster1:1.30.1-4fixed
bullseye1:1.30.1-6fixed
bookworm, sid1:1.30.1-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
busyboxsourcewheezy(not affected)
busyboxsourcejessie(not affected)
busyboxsourcestretch(not affected)
busyboxsource(unstable)1:1.27.2-2879732

Notes

[stretch] - busybox <not-affected> (Vulnerable code not present)
[jessie] - busybox <not-affected> (Vulnerable code not present)
[wheezy] - busybox <not-affected> (Vulnerable code not present)
https://bugs.busybox.net/show_bug.cgi?id=10436
Introduced in: https://git.busybox.net/busybox/commit/?id=3989e5adf454a3ab98412b249c2c9bd2a3175ae0
Fixed by: https://git.busybox.net/busybox/commit/?id=9ac42c500586fa5f10a1f6d22c3f797df11b1f6b

Search for package or bug name: Reporting problems